# Class AjaxURLStreamHandlerFactory

java.lang.Object
javajs.util.AjaxURLStreamHandlerFactory

All Implemented Interfaces:
  `URLStreamHandlerFactory`

public class AjaxURLStreamHandlerFactory extends Object implements URLStreamHandlerFactory
For handling URL file IO via AJAX in JavaScript version

## Constructor Summary

Constructors
Constructor
Description
`AjaxURLStreamHandlerFactory()`

## Method Summary

Modifier and Type
Method
Description
`URLStreamHandler`
`createURLStreamHandler(String protocol)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AjaxURLStreamHandlerFactory

public AjaxURLStreamHandlerFactory()

## Method Details

### createURLStreamHandler

public URLStreamHandler createURLStreamHandler(String protocol)

Specified by:
  `createURLStreamHandler` in interface `URLStreamHandlerFactory`